Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 210754 (CVE-2008-0932) - app-text/sword <1.5.8-r2 shell command injection (CVE-2008-0932)
Summary: app-text/sword <1.5.8-r2 shell command injection (CVE-2008-0932)
Status: RESOLVED FIXED
Alias: CVE-2008-0932
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL: http://secunia.com/advisories/29012/
Whiteboard: B1 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-19 20:46 UTC by Pierre-Yves Rofes (RETIRED)
Modified: 2008-03-03 21:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
shell_escape for the range parameter (sword_escape_range.patch,540 bytes, patch)
2008-02-19 21:23 UTC, Pierre-Yves Rofes (RETIRED)
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre-Yves Rofes (RETIRED) gentoo-dev 2008-02-19 20:46:45 UTC
A vulnerability has been discovered in SWORD, which can be exploited by malicious people to compromise a vulnerable system.

The vulnerability is caused due to an input sanitation error in diatheke.pl and can be exploited to inject and execute arbitrary shell commands via a specially crafted "range" parameter.

This is related to:
SA13897

The vulnerability is confirmed in version 1.5.10 and reported in version 1.5.9. Other versions may also be affected.

Solution:
Filter malicious characters and character sequences in a web proxy.

Provided and/or discovered by:
Reported via a Debian bug report by Dan Dennison.

Original Advisory:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466449
Comment 1 Pierre-Yves Rofes (RETIRED) gentoo-dev 2008-02-19 21:23:04 UTC
Created attachment 144014 [details, diff]
shell_escape for the range parameter

here's the patch, courtesy of Debian.theology herd, please bump.
Comment 2 Pierre-Yves Rofes (RETIRED) gentoo-dev 2008-02-19 21:25:16 UTC
bah, forgot to set status, sorry fot the bugspam.
Comment 3 Steve Dibb (RETIRED) gentoo-dev 2008-02-20 04:04:42 UTC
Fixed versions in CVS: 1.5.8-r2, 1.5.9-r2, 1.5.10-r2
Comment 4 Sune Kloppenborg Jeppesen gentoo-dev 2008-02-20 08:16:57 UTC
Thx Steve for the quick fix.

Arches please test and mark stable. Target keywords are:

sword-1.5.8-r2.ebuild:KEYWORDS="amd64 ppc x86"
Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2008-02-20 08:53:31 UTC
You shall not make wrongful use of the functions of your program....sorry, could not resist. x86 stable
Comment 6 Peter Weller (RETIRED) gentoo-dev 2008-02-21 18:51:24 UTC
amd64 done
Comment 7 Tobias Scherbaum (RETIRED) gentoo-dev 2008-02-22 14:23:24 UTC
ppc stable
Comment 8 Peter Volkov (RETIRED) gentoo-dev 2008-02-24 20:38:02 UTC
Fixed in release snapshot.
Comment 9 Robert Buchholz (RETIRED) gentoo-dev 2008-02-26 22:44:41 UTC
CVE-2008-0932 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-0932):
  diatheke.pl in The SWORD Project Diatheke 1.5.9 and earlier allows remote
  attackers to execute arbitrary commands via shell metacharacters in an
  unspecified parameter.
Comment 10 Pierre-Yves Rofes (RETIRED) gentoo-dev 2008-03-03 21:33:40 UTC
GLSA 200803-06